Bug 62458

Summary: Upgrade commons-pool2 classes to next release ( > 2.5.0 )
Product: Tomcat 8 Reporter: olivier.letiec
Component: UtilAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: major    
Priority: P2    
Version: 8.5.x-trunk   
Target Milestone: ----   
Hardware: PC   
OS: All   

Description olivier.letiec 2018-06-15 08:12:55 UTC
tomcat-dbcp.jar embeds commons-pool-2.5.0 classes
(org.apache.tomcat.dbcp.pool2.*)
(maybe through commons-dbcp-2.2.0 classes)

There is a memory leak, fixed in commons-pool:
https://issues.apache.org/jira/browse/POOL-337
but not yet released.

This bug is tracked in commons-dbcp, unfixed for now:
https://issues.apache.org/jira/browse/DBCP-493

This leak needs merging toward tomcat distribution when released.
Comment 1 Mark Thomas 2018-06-18 21:07:03 UTC
Fixed in trunk for 9.0.9 onwards. Back-ports to follow.
Comment 2 Mark Thomas 2018-06-19 11:33:08 UTC
Fixed in:
- 8.5.x for 8.5.32 onwards
- 8.0.x for 8.0.53 onwards